# Copyright (C) 2001-2005 All right reserved by Shinya Kondo ( CGI KON )

	@LIST_ENTER = ("","\r\n","\r","\n");
	@LIST_F_CSV = ("","Print_CSV_SJIS","Print_CSV_SJIS","Print_CSV_EUC");
	@LIST_F_TSV = ("","Print_TSV_SJIS","Print_TSV_SJIS","Print_TSV_EUC");

sub Print_CSV_SJIS
{
	my(@result) = @_;

	my($loop,$data);

	for($loop = 0;$loop <= $#result;$loop++) {
		$data = $result[$loop];
		$data =~ s/<BR>//g;
		$data =~ s/"/""/g;
		$data = &jcode'sjis($data,"euc");
		$result[$loop] = '"'.$data.'"';
	}

	print join(",",@result).$ENT_VAL;
}

sub Print_TSV_SJIS
{
	my(@result) = @_;

	my($loop,$data);

	for($loop = 0;$loop <= $#result;$loop++) {
		$data = $result[$loop];
		$data =~ s/<BR>//g;
		$data = &jcode'sjis($data,"euc");
		$result[$loop] = $data;
	}

	print join("\t",@result).$ENT_VAL;
}

sub Print_CSV_EUC
{
	my(@result) = @_;

	my($loop,$data);

	for($loop = 0;$loop <= $#result;$loop++) {
		$data = $result[$loop];
		$data =~ s/<BR>//g;
		$data =~ s/"/""/g;
		$result[$loop] = '"'.$data.'"';
	}

	print join(",",@result).$ENT_VAL;
}

sub Print_TSV_EUC
{
	my(@result) = @_;

	my($loop,$data);

	for($loop = 0;$loop <= $#result;$loop++) {
		$data = $result[$loop];
		$data =~ s/<BR>//g;
		$result[$loop] = $data;
	}

	print join("\t",@result).$ENT_VAL;
}

sub Data_Split
{
	my($file) = @_;

	my($loop,$item,$form,$key,@record,@result,@column);

	@record = &Read_Data($file);
	for($loop = 0;$loop <= $#record;$loop++) {
		chomp($record[$loop]);
		@result = split("\t",$record[$loop]);

		@column = ($result[0]);
		foreach $item (@LIST_ITEMS) {
			$forms = "";
			foreach (@{$LIST_OUTPUT[$item]}) {
				next if(!$LIST_FIELD[$_]{"FIELD"});
				next if(!$result[$_]);
				$forms .= $LIST_FIELD[$_]{"FRONT"};
				$forms .= $result[$_];
				$forms .= $LIST_FIELD[$_]{"AFTER"};
			}
			push(@column,$forms);
		}
		&$FUNC_NAME(@column);
	}
}

	if($down_1) {
		$filename = "download.csv";
		$ENT_VAL = $LIST_ENTER[$type];
		$FUNC_NAME = $LIST_F_CSV[$type];
	} elsif($down_2) {
		$filename = "download.tsv";
		$ENT_VAL = $LIST_ENTER[$type];
		$FUNC_NAME = $LIST_F_TSV[$type];
	}

	if($FUNC_NAME) {
		print qq!Content-type: application/octet-stream; name=$filename\n!;
		print qq!Content-disposition: attachment; filename=$filename\n\n!;

		do $CONF_FILE;

		@column = ($LIST_NAME1[0]);
		foreach $item (@LIST_ITEMS) {
			push(@column,$LIST_NAME1[$item]);
		}
		&$FUNC_NAME(@column);

		for($loop = 0;$loop <= $#LIST_FIELD;$loop++) {
			$title = $LIST_FIELD[$loop]{"TITLE"};
			$types = $LIST_FIELD[$loop]{"TYPES"};

			push(@{$HASH_FIELD{$title}{$types}},$loop);
		}

		foreach $item (@LIST_ITEMS) {
			$title = $LIST_NAME1[$item];
			@column = ();
			while(($key,$val) = each(%{$HASH_FIELD{$title}})) {
				push(@column,@$val);
			}
			$LIST_OUTPUT[$item] = [ @column ];
		}

		&Data_Split($LOG_FILE);

		exit;
	}

	$LOG_SCRIPT =~ s/PAGE_ID/reserve1_admin26/g;

print "Content-type: text/html\n\n";
print qq!
<HTML>
<HEAD>
	<META Http-Equiv="Content-Type" Content="text/html;charset=EUC-JP">
	<TITLE>$SOFT_TITLE $PAGE_TITLE_26</TITLE>
</HEAD>
<BODY>
<FORM ACTION="$ADMIN_PG" METHOD="post">
	<INPUT TYPE="hidden" NAME="permit" VALUE="TRUE">
	<INPUT TYPE="hidden" NAME="keys" VALUE="$keys">
	<INPUT TYPE="hidden" NAME="menu" VALUE="6">
	<INPUT TYPE="hidden" NAME="fsec" VALUE="$fsec">
	<INPUT TYPE="hidden" NAME="flag" VALUE="$flag">
<CENTER>
<TABLE WIDTH="100%">
<TR>
<TD BGCOLOR="#4682B4">
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="2" CELLSPACING="0">
	<TR BGCOLOR="#4682B4">
		<TD BGCOLOR="#4682B4" ALIGN="center" WIDTH="1%" NOWRAP>
			
		</TD>
		<TD BGCOLOR="#4682B4" WIDTH="10%" NOWRAP ALIGN="center">
			$SOFT_NAME
		</TD>
		<TD BGCOLOR="#4682B4" ALIGN="center" WIDTH="1%" NOWRAP>
			
		</TD>
		<TD BGCOLOR="#DDFFFF" ALIGN="center" WIDTH="78%" NOWRAP>	
			$SAMPLE_TITLE
			<FONT SIZE="4" COLOR="#4682B4"><B>$PAGE_TITLE_26</B></FONT>
		</TD>
		<TD BGCOLOR="#DDFFFF" ALIGN="right" WIDTH="10%" NOWRAP>
			<INPUT TYPE="submit" NAME="jump" VALUE="˥塼">
		</TD>
	</TR>
</TABLE>
</TD>
</TR>
</TABLE>
</FORM>
<FORM ACTION="$ADMIN_PG" METHOD="post">
	<INPUT TYPE="hidden" NAME="permit" VALUE="TRUE">
	<INPUT TYPE="hidden" NAME="keys" VALUE="$keys">
	<INPUT TYPE="hidden" NAME="menu" VALUE="6">
	<INPUT TYPE="hidden" NAME="fsec" VALUE="$fsec">
	<INPUT TYPE="hidden" NAME="flag" VALUE="$flag">
<FONT COLOR="#FF0000"><B>$error</B></FONT>
<FONT COLOR="#0000FF"><B></B>$info</FONT>
<BR>
<TABLE WIDTH="80%" BORDER="1" CELLPADDING="10" CELLSPACING="0">
<TR>
<TD>
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="3" CELLSPACING="0">
	<TR>
		<TD></TD>
		<TD NOWRAP>
		<FONT SIZE="2" COLOR="green"><B>ѤΥѥOSˤ򤷤Ƥ</B></FONT>
		</TD>
	</TR>
	<TR>
		<TD></TD>
		<TD>
		<INPUT TYPE="radio" NAME="type" VALUE="1" CHECKED><FONT SIZE=2>WindowsϡShift_JISCR+LF</FONT><BR>
		<INPUT TYPE="radio" NAME="type" VALUE="2"><FONT SIZE=2>MachintoshϡShift_JISCR</FONT><BR>
		<INPUT TYPE="radio" NAME="type" VALUE="3"><FONT SIZE=2>UNIXLinuxϡEUCLF</FONT><BR>
		<P>
		</TD>
	</TR>
	<TR>
		<TD></TD>
		<TD NOWRAP>
		<FONT SIZE="2" COLOR="green"><B>ɬפʥեΥܥ򲡤Ƥ</B></FONT>
		</TD>
	</TR>
	<TR>
		<TD></TD>
		<TD>
		<INPUT TYPE="submit" NAME="down_1" VALUE="CSV">
		<INPUT TYPE="submit" NAME="down_2" VALUE="TSV">
		</TD>
	</TR>
</TABLE>
</TD>
</TR>
</TABLE>
</CENTER>
</FORM>
<HR>
<B>ڡۤѾΥҥ</B>
<CENTER>
<TABLE WIDTH="90%">
<TR>
	<TD COLSPAN=3><FONT SIZE=2><B>֤ѤΥѥפ</B></FONT></TD>
</TR>
<TR>
	<TD WIDTH="10%"></TD>
	<TD VALIGN="top" NOWRAP><FONT SIZE=2><B>Windows</B></FONT></TD>
	<TD><FONT SIZE=2>WindowsOSѤϤ򤷤ޤ</FONT></TD>
</TR>
<TR>
	<TD WIDTH="10%"></TD>
	<TD VALIGN="top" NOWRAP><FONT SIZE=2><B>Machintosh</B></FONT></TD>
	<TD><FONT SIZE=2>MachintoshOSѤϤ򤷤ޤ</FONT></TD>
</TR>
<TR>
	<TD WIDTH="10%"></TD>
	<TD VALIGN="top" NOWRAP><FONT SIZE=2><B>UnixLinux</B></FONT></TD>
	<TD><FONT SIZE=2>UnixLinuxʤɤOSѤϤ򤷤ޤ</FONT></TD>
</TR>
<TR>
	<TD COLSPAN=3><FONT SIZE=2><B>֥եפ</B></FONT></TD>
</TR>
<TR>
	<TD WIDTH="10%"></TD>
	<TD VALIGN="top" NOWRAP><FONT SIZE=2><B>CSV</B></FONT></TD>
	<TD>
	<FONT SIZE=2>޶ڤΥǡեǤ</FONT>
	</TD>
</TR>
<TR>
	<TD WIDTH="10%"></TD>
	<TD VALIGN="top" NOWRAP><FONT SIZE=2><B>TSV</B></FONT></TD>
	<TD>
	<FONT SIZE=2>ֶڤΥǡեǤ</FONT>
	</TD>
</TR>
</TABLE>
</CENTER>
<HR>
	<CENTER>
	<FONT SIZE=2><I>
	Copyright (C) 2001-2005 All right reserved by <A HREF="http://cgikon.com">CGI KON</A>
	</I></FONT>
	</CENTER>
$LOG_SCRIPT
</BODY>
</HTML>
!;

# Copyright (C) 2001-2005 All right reserved by Shinya Kondo ( CGI KON )
